Bug Hunting Session
Bug 118207 - CRASH: Cutting and pasting a conditional format column and undoing
Summary: CRASH: Cutting and pasting a conditional format column and undoing
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2018-06-17 10:51 UTC by Xisco Faulí
Modified: 2018-06-23 06:30 UTC (History)
6 users (show)

See Also:
Crash report or crash signature: ["SfxItemSet::Get(unsigned short,bool)"]


Attachments
gdb bt (14.77 KB, text/plain)
2018-06-18 20:44 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-06-17 10:51:49 UTC
Note: in GTK3, it hangs while copying - cutting -> bug 118206

Steps to reproduce:
1. Open attachment 142790 [details] from bug 118189
2. Select Column A
3. Cut it
4. Paste it in Column B
5. Paste it in Column B again -> say yes when asking for overwritting
6. Undo 3 times

-> CRASH

Reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 6fcc60b49215acb28edac46bb605767840abd122
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-06-17_00:25:35
Locale: es-ES (es_ES); Calc: group threaded
Comment 1 Xisco Faulí 2018-06-17 11:06:34 UTC
Same crash as in bug 114710
Comment 2 Xisco Faulí 2018-06-17 11:07:42 UTC
Regression introduced by:

author	Kohei Yoshida <kohei.yoshida@collabora.com>	2013-10-31 16:25:32 -0400
committer	Kohei Yoshida <kohei.yoshida@collabora.com>	2013-11-04 13:59:17 -0500
commit	835fee82efb70b40b94f6babc2706ee1eb66dcf7 (patch)
tree	d83a10775a68412d4b6bddde3cf60d725062cc4f
parent	8228f6736b91da06f439080665bdc389297bb5b7 (diff)
Populate raw cell values using ScDocumentImport.
Also fix incorrect const methods. Methods that populate the document
model should not be marked const even if the compiler allows it.

Bisected with: bibisect-42max 

Adding Cc: to Kohei Yoshida
Comment 3 raal 2018-06-17 11:19:20 UTC
Confirm. Version: 6.2.0.0.alpha0+ (x64)
Build ID: c3e552ac25be001a623469c549ee8d0719b98133
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-06-14_00:15:12
Comment 4 Xavier Van Wijmeersch 2018-06-17 13:50:28 UTC
confirm with, and trying to use the direct cell format will crash also LO
and no crash report is issued, so cannot send a report

Version: 6.2.0.0.alpha0+
Build ID: 5bbf40fde5a6cefaf596c345f8997164dd92932f
CPU threads: 8; OS: Linux 4.14; UI render: default; VCL: kde4; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-06-17_11:17:04
Locale: nl-BE (en_US.UTF-8); Calc: group threaded
Comment 5 Julien Nabet 2018-06-18 20:44:10 UTC
Created attachment 142886 [details]
gdb bt

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 6 Xisco Faulí 2018-06-20 15:39:36 UTC
Niceee, issue fixed by https://cgit.freedesktop.org/libreoffice/core/commit/?id=67c88e284af74c88e37cc8f66cdfc0e346de45ac
Closing as RESOLVED FIXED

@Dennis, thanks for fixing this one as well

Verified in

Version: 6.2.0.0.alpha0+
Build ID: 370a30b6acc5b99b6046440f6b5f4f3f5f9f4b1a
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 7 Commit Notification 2018-06-21 15:44:24 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=33e223d07da289a25cbb2e0a06bd58ffde8d7c0b

uitest for bug tdf#118207

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.